Allow "New Issue” from anywhere
2008-04-05 09:27 - Steve V

Status: Closed Start date: 2008-04-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution:

Description

The only way to currently add a new issue is to navigate to a project, and then click the "New Issue" link. This ends up being quite a
number of clicks. So if you're on your dashboard, and you view all issues you have to trudge through everything to get to the point
where you can add a new one. It would be a lot easier if the "New Issue" link was always available, and if clicked from a project
agnostic page it would present a simple drop down of projects either before the actual issue entry page, or right on it.

Related issues:

Related to Redmine - Patch #2457: Different style of new issue/timelog interface Needs feedbacR009-01-07
Related to Redmine - Feature #6204: Make the "New issue" menu item optional Closed 2010-08-25
Related to Redmine - Patch #1022: Patch for #1003 Closed 2008-04-08
Related to Redmine - Defect #19276: Creating new issues with invalid project_... Closed
Has duplicate Redmine - Feature #10266: Global means for creating an issue Closed

Associated revisions

Revision 13999 - 2015-02-14 09:03 - Jean-Philippe Lang

Implements /issues/new form for creating issues outside a project (#1003).

History

#1 - 2008-04-08 22:36 - Rocco Stanzione
Please test my patch in #1022

#2 - 2008-04-21 20:14 - Jonathan Lahijani

Building off of this ticket, | think it's a little odd to have the "New Issue" link in the primary menu of a project as this is not consistent with the other
"New" buttons. What are your thoughts of removing it from the primary menu and adding the "New issue" button to the Issues page, along with
having a quick, global way to create a new issue as provided in this patch since this is a common task?

#3 - 2008-04-21 20:27 - Rocco Stanzione

Is there a global issues page that | don't know about? | put it in the main menu (I share your concern about that) so it would be everywhere, and
because it's such a frequently used item. It's definitely possible there's a better place for it, but the point is to make it non-project-specific, so it needs
to be in a universally accessible location.

#4 - 2008-04-22 11:22 - Maxim Krusina

Jonathan> Soory, but I'm very happy with "New Issue" tab as it is now. Maybe add it to some other places is good idea, but for me it's just on right
place. When I'm starting new project, it's most used controll ;)

PS: Idea of this tab was taken from Trac, where it was implemented in this way and it was very great sollution for us.

#5 - 2010-11-05 14:09 - Alexander A

Rocco Stanzione wrote:

Is there a global issues page that | don't know about? | put it in the main menu (I share your concern about that) so it would be everywhere, and
because it's such a frequently used item. It's definitely possible there's a better place for it, but the point is to make it non-project-specific, so it
needs to be in a universally accessible location.

And someone will want the New document or the New file list were always accessible to addition and then the global menu of the project will turn to
not clear. And it will break structure and logic of elements of the menu.

The decision can be such:

1. The button to Add a issue to make as here: Feature #6204
2. To make adjusted area "the Adjusted menu" where the user can add menu points at own discretion: the New document, the New file, the New
issue and others.

#6 - 2013-03-17 09:12 - Daniel Felix

Well I'm not sure if this is the right way. If you add some issue tab which is accessible from everywhere you have to select the project which should
get this issue. But you have the quick menu on the top right, where you can jump to the project you want and add your note there. Both ways have the
same click count. But the second way is already implemented. ;-)

Well | think this issue could be closed.

#7 - 2013-03-17 09:49 - Daniel Felix

- Status changed from New to Closed

I'm closing this issue. For further reasons see my previous post.

#8 - 2013-11-27 12:37 - Luis Faceira

| disagree with Daniel's reasoning, and would very much appreciate the "New Issue" to be available globally.
You are right that the number of clicks is the same (3), and just in a different order from the both approaches:

e click on a drop-down that lists all projects
e click on the project on that list
¢ click on a "New Issue" button

In a preliminary analysis it might seem just a question of reordering the same amount of clicks, but having a global "New issue" button, IMHO, would
bring two very significant advantages:

1. Option to right-click and open in a new tab
2. Auto-select the drop-down to select project

The added value of having those "extras" becomes more apparent by describing my current process and what can change because of having a global
option to create issue.
I'm constantly managing cross-project lists of issues and to be able to KEEP that tab opened and create a new issue, | actually end up doing 5 clicks:

1. Right-click on "something else" on the page (e.g. "Home")
2. Click on "Open in a new tab"

3. Click on the drop-down list of projects

4. Click on the project from the list

5. Click on "New Issue"

But with a global "New Issue", that auto-selects the drop-down list of projects, | would do:

1. Right-click on the "New Issue" global option
2. Click on "Open in a new tab"
3. Select project from auto-selected drop-down

Also note that it's usual and intuitive to auto-select the first input of a form to be filled and that this third action could actually be achieved even
quickier through the keyboard instead of the mouse.

Besides the cutting-down on the number of actions on such a repetitive task that someone like me does when managing cross-project lists of issues,
it would avoid the ackward and disorienting first-step of the current solution that to open a new tab | need to click on "something else", which also
makes me once in a while freeze a bit.

Even better (but probably much more complicated to implement) and not sure if there's an issue already for that, would be to NOT need to open a
new tab to create an issue without loosing current context and to be able to create an issue inside a pop-up.

#9 - 2014-08-11 16:25 - Reimund Klain

+1

#10 - 2015-07-28 15:41 - llya Andreyuk

| have found one issue associated with this feature.
Because of the following changes:

https://github.com/redmine/redmine/commit/3da7b1bc2882cfb02c50686809791583222423984#diff-7ab71e5c63eb9fdf6fa63cf71ea5ab3blL 24
Now it's not possible to use project identifier instead project id for issue creating (e.g. using an api).

#11 - 2015-07-29 04:01 - Mischa The Evil

llya Andreyuk wrote:

| have found one issue associated with this feature.

2025-07-05 2/3


https://github.com/redmine/redmine/commit/3da7b1bc2882cfb02c5068680979158322242398#diff-7ab71e5c63eb9fdf6fa63cf71ea5ab3bL24

(-]

Now it's not possible to use project identifier instead project id for issue creating (e.g. using an api).

This is reported and discussed in #19276 and its duplicate #20119. A quick summary about using a project identifier instead of a project id is given by
Jean-Philippe Lang in #19276#note-8: "Project identifier can be used as a filter and even if it used to work, it was never supposed to be used as a
project_id value when creating an issue, [...]"

This issue is currently already closed. Please open a new issue if you want to report a new issue.

#12 - 2015-07-29 04:02 - Mischa The Evil
- Related to Defect #19276: Creating new issues with invalid project_id should return 422 instead of 403 error added
